# -*- coding: utf-8 -*-
from setuphelpers import *
from string import ascii_letters
import glob 

def update_package():
    host = "srvnagios.ad.tranquil.it"
    site = "tranquilit"
    cmk_version = "2.0.0p19"
    stripped_version = cmk_version.replace("p", ".")
    filename_dl = "check-mk-agent_{}-1_all.deb".format(cmk_version)
    filename = "check-mk-agent_{}-1_all.deb".format(stripped_version)

    control = PackageEntry().load_control_from_wapt(".")

    download_url = "http://{}/{}/check_mk/agents/{}".format(host, site, filename_dl)
    print("Downloading DEB from {}".format(download_url))

    wget(download_url, filename)

    for fn in glob.glob("*.deb"):
        if fn != filename:
            remove_file(fn)

    print("Downloaded version is {}".format(cmk_version))

    print(stripped_version)
    control.version = "{}-0".format(stripped_version)
    control.save_control_to_wapt(".")